﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using BlazorApp1.Data;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Primitives;

namespace BlazorApp1.Controller
{
    [Route("api/[controller]")]
    [ApiController]
    public class DefaultController : ControllerBase
    {
        public static List<Orders> order = new List<Orders>();public List<System.Dynamic.ExpandoObject> gridData = new List<System.Dynamic.ExpandoObject>();
        // GET: api/Default
        [HttpGet]
        public async Task<object> Get()
        {

            dynamic user = new System.Dynamic.ExpandoObject();
            user.Name = "John Doe";
            user.Id = 42;
            user.Ticker = "New York";
            gridData.Add(user);
            return gridData;
        }
        private void BindDataSource()
        {
            int code = 10000;
            for (int i = 1; i < 25; i++)
            {
                order.Add(new Orders(code + 1, "ALFKI", i + 0, 2.3 * i, new DateTime(1991, 05, 15), "Berlin"));
                order.Add(new Orders(code + 2, "ANATR", i + 2, 3.3 * i, new DateTime(1990, 04, 04), "Madrid"));
                order.Add(new Orders(code + 3, "ANTON", i + 1, 4.3 * i, new DateTime(1957, 11, 30), "Cholchester"));
                order.Add(new Orders(code + 4, "BLONP", i + 3, 5.3 * i, new DateTime(1930, 10, 22), "Marseille"));
                order.Add(new Orders(code + 5, "BOLID", i + 4, 6.3 * i, new DateTime(1953, 02, 18), "Tsawassen"));
                code += 5;
            }
        }
        //// POST: api/Default
        [HttpPost]
        public object Post([FromBody]Orders value)
        {
            order.Insert(0, value);
            return value;
        }

        //// PUT: api/Default/5
        [HttpPut]
        public object Put([FromBody]Orders value)
        {
            var re = Request;
            var headers = re.Headers;
            var data = order.Where(or => or.OrderID == value.OrderID).FirstOrDefault();
            if (data != null)
            {
                data.OrderID = value.OrderID;
                data.CustomerID = value.CustomerID;
                data.Freight = value.Freight;
            }
            return value;
        }
        //// DELETE: api/ApiWithActions/5
        [HttpDelete("{id}")]
        public void Delete([FromBody]int id)
        {
            order.Remove(order.Where(or => or.OrderID == id).FirstOrDefault());
            //return value;
        }
    }
}